apiVersion: v1
kind: ImageStream
metadata:
{% if (is_insecure | default(False)) or k8s_flavor == 'openshift' %}
  annotations:
{% if k8s_flavor == 'openshift' %}
    openshift.io/display-name: {{ is_name }}
{% endif %}
{% if is_insecure | default(False) %}
    openshift.io/image.insecureRepository: "true"
{% endif %}
{% endif %}
  name: {{ is_name }}
  namespace: {{ namespace }}
{% if (is_import | default([])) | length > 0 %}
spec:
  tags:
{% for img in is_import if img.source is defined %}
  - from:
      kind: DockerImage
      name: {{ img.source }}:{{ img.tag | default('latest') }}
    importPolicy:
      scheduled: true
    name: {{ img.tag | default('latest') }}
    referencePolicy:
      type: {{ 'Source' if (is_no_cache | default(False)) else 'Local' }}
{% endfor %}
{% elif (do_registry | default(False)) == False %}
spec:
  dockerImageRepository: {{ docker_registry }}/{{ namespace }}/{{ is_name }}
  lookupPolicy:
    local: {{ 'false' if ((is_lookup_tags | default([])) | length == 0) else 'true' }}
{% if (is_lookup_tags | default([])) | length > 0 %}
  tags:
{% for tag in is_lookup_tags %}
  - from:
      kind: DockerImage
      name: {{ docker_registry }}/{{ is_namespace | default(namespace) }}/{{ is_name }}:{{ tag | default('latest') }}
    importPolicy:
      scheduled: true
    name: {{ tag }}
    referencePolicy:
      type: {{ 'Source' if (is_no_cache | default(False)) else 'Local' }}
{% endfor %}
{% endif %}
{% endif %}
{% endif %}
